Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record.formula
Class MemFuncPtg

    java.lang.Object
      org.apache.poi.hssf.record.formula.Ptg
          org.apache.poi.hssf.record.formula.OperandPtg
              org.apache.poi.hssf.record.formula.MemFuncPtg

All Implemented Interfaces:
  java.lang.Cloneable

    public final class MemFuncPtg

extends OperandPtg

Author:
  Glen Stampoultzis (glens at apache.org)

Field Summary
`static byte` | `sid`

Fields inherited from class org.apache.poi.hssf.record.formula.Ptg
`CLASS_ARRAY, CLASS_REF, CLASS_VALUE, EMPTY_PTG_ARRAY`

Constructor Summary
`MemFuncPtg(int subExprLen)`
`MemFuncPtg(LittleEndianInput in)` Creates new function pointer from a byte array usually called while reading an excel file.

Method Summary
`byte` | `getDefaultOperandClass()`
`int` | `getLenRefSubexpression()`
`int` | `getNumberOfOperands()`
`int` | `getSize()`
`java.lang.String` | `toFormulaString()` return a string representation of this token alone
`java.lang.String` | `toString()` Overridden toString method to ensure object hash is not printed.
`void` | `write(LittleEndianOutput out)`

Methods inherited from class org.apache.poi.hssf.record.formula.OperandPtg
`copy, isBaseToken`

Methods inherited from class org.apache.poi.hssf.record.formula.Ptg
`createPtg, doesFormulaReferToDeletedCell, getEncodedSize, getEncodedSizeWithoutArrayData, getPtgClass, getRVAType, readTokens, serializePtgs, setClass`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final byte sid

See Also:
  Constant Field Values

Constructor Detail

### MemFuncPtg

    public MemFuncPtg(LittleEndianInput in)

  Creates new function pointer from a byte array usually called while reading an excel file.

### MemFuncPtg

    public MemFuncPtg(int subExprLen)

Method Detail

### getSize

    public int getSize()

  Specified by:
    `getSize` in class `Ptg`
  Returns:
    the encoded length of this Ptg, including the initial Ptg type identifier byte.

### write

    public void write(LittleEndianOutput out)

  Specified by:
    `write` in class `Ptg`

### toFormulaString

    public java.lang.String toFormulaString()

  Description copied from class: `Ptg`
  return a string representation of this token alone

  Specified by:
    `toFormulaString` in class `Ptg`

### getDefaultOperandClass

    public byte getDefaultOperandClass()

  Specified by:
    `getDefaultOperandClass` in class `Ptg`

### getNumberOfOperands

    public int getNumberOfOperands()

### getLenRefSubexpression

    public int getLenRefSubexpression()

### toString

    public final java.lang.String toString()

  Description copied from class: `Ptg`
  Overridden toString method to ensure object hash is not printed. This helps get rid of gratuitous diffs when comparing two dumps Subclasses may output more relevant information by overriding this method

  Overrides:
    `toString` in class `Ptg`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD